[Solved] Duplicati Crashs After Update to 2.0.5.1-1

Hi - I’ve been successfully running Duplicati 2.0.4.23-1 for several month on an Ubuntu 16.04 LTS system. Today I clicked the upgrade button in Duplicati to up grade to 2.0.5.1-1. It seemed to do the update then it showed the “Activate” button. When I clicked it, Duplicati just kept trying to connect but failed.

So I tried launching the tray icon from terminal with:
“mono Duplicati.GUI.TrayIcon.exe”
which failed.

So, I re-booted and Duplicati did not auto-start and I tried launching the tray icon again from terminal, which filed.

I uninstalled 2.0.5.1-1 and reinstalled 2.0.4.23-1 and tried to launch the tray icon again from terminal, which failed.

I re-booted and Duplicati did not auto-start and I tried launching the tray icon again from terminal, which filed.

Attached is the output of my last attempt to launch the tray icon from the terminal: crash.zip (699 Bytes)

Before today, I’ve really enjoyed Duplicati…
What do I do next?

Run mono --version and if it isn’t 5 or greater, install one from here. I usually favor mono-complete.

EDIT:

The 2.0.5.1 mono requirement went up, so after mono upgrade, you might as well put 2.0.5.1 back, or possibly you’ll find that it’s still there. A Duplicati update goes into a different area, so downgrades are somewhat tricky. The database format can get you too, however there’s a backup of the old DB made.

@ts678 Thanks! Upgrade of mono did the trick and I’m up on 2.0.5.1
Appreciate the quick response.

2 Likes